/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include "BinaryData.hpp"

#include <ctype.h>

BinaryData::
BinaryData (PBYTE pbData, int iSize)
{
   pbData_d   = pbData;
   iSize_d    = iSize;
   fOutType_d = true;
}

PBYTE BinaryData::
getData ()
{
   return pbData_d;
}

int BinaryData::
getLength ()
{
   return iSize_d;
}

void BinaryData::
setData (PBYTE pbNewData)
{
   pbData_d = pbNewData;
}

void BinaryData::
setLength (int iNewLength)
{
   iSize_d = iNewLength;
}

void BinaryData::
setDumpString ()
{
   fOutType_d = true;
}

void BinaryData::
setDumpHex ()
{
   fOutType_d = false;
}

/* Provide a way to print out class data
*/
ostream&
operator<< (ostream& os, const BinaryData& self)
{
   os << hex
      << "{ iSize_d = " << self.iSize_d
      << ", {";

   for (int i = 0; i < self.iSize_d; i++)
   {
      if (  self.fOutType_d
         && isprint (self.pbData_d[i])
         )
      {
         os << '\'' << self.pbData_d[i] << '\'';
      }
      else
      {
         os << "0x" << hex;
         os.width (2);
         os.fill ('0');
         os << (int)self.pbData_d[i];
      }

      if (i < self.iSize_d - 1)
         os << ",";
   }

   os << dec << "}}";

   return os;
}
