/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "DebugOutput.hpp"

bool fOutputDeviceBlitter_d     = false;
bool fOutputDeviceDither_d      = false;
bool fOutputDeviceInstance_d    = false;
bool fOutputDevicePrintMode_d   = false;
bool fOutputDeviceTester_d      = false;
bool fOutputDeviceTester2_d     = false;
bool fOutputDeviceTester6_d     = false;
bool fOutputGplCompression_d    = false;
bool fOutputGplDitherInstance_d = false;
bool fOutputOmni_d              = false;
bool fOutputOmniInterface_d     = false;
bool fOutputOmniProxy_d         = false;
bool fOutputPrintDevice_d       = false;
bool fOutputBlitter_d           = false;
bool fOutputInstance_d          = false;
bool fOutputOmniIJSProxy_d      = false;
bool fOutputOmniServer_d        = false;
bool fOutputPrinterCommand_d    = false;

bool DebugOutput::
shouldOutputDeviceBlitter ()
{
   return fOutputDeviceBlitter_d;
}

bool DebugOutput::
shouldOutputDeviceDither ()
{
   return fOutputDeviceDither_d;
}

bool DebugOutput::
shouldOutputDeviceInstance ()
{
   return fOutputDeviceInstance_d;
}

bool DebugOutput::
shouldOutputDevicePrintMode ()
{
   return fOutputDevicePrintMode_d;
}

bool DebugOutput::
shouldOutputDeviceTester ()
{
   return fOutputDeviceTester_d;
}

bool DebugOutput::
shouldOutputDeviceTester2 ()
{
   return fOutputDeviceTester_d;
}

bool DebugOutput::
shouldOutputDeviceTester6 ()
{
   return fOutputDeviceTester6_d;
}

bool DebugOutput::
shouldOutputGplCompression ()
{
   return fOutputGplCompression_d;
}

bool DebugOutput::
shouldOutputGplDitherInstance ()
{
   return fOutputGplDitherInstance_d;
}

bool DebugOutput::
shouldOutputOmni ()
{
   return fOutputOmni_d;
}

bool DebugOutput::
shouldOutputOmniInterface ()
{
   return fOutputOmniInterface_d;
}

bool DebugOutput::
shouldOutputOmniProxy ()
{
   return fOutputOmniProxy_d;
}

bool DebugOutput::
shouldOutputPrintDevice ()
{
   return fOutputPrintDevice_d;
}

bool DebugOutput::
shouldOutputBlitter ()
{
   return fOutputBlitter_d;
}

bool DebugOutput::
shouldOutputInstance ()
{
   return fOutputInstance_d;
}

bool DebugOutput::
shouldOutputOmniIJSProxy ()
{
   return fOutputOmniIJSProxy_d;
}

bool DebugOutput::
shouldOutputOmniServer ()
{
   return fOutputOmniServer_d;
}

bool DebugOutput::
shouldOutputPrinterCommand ()
{
   return fOutputPrinterCommand_d;
}

void DebugOutput::
setOutputDeviceBlitter (bool fOutputDeviceBlitter)
{
   fOutputDeviceBlitter_d = fOutputDeviceBlitter;
}

void DebugOutput::
setOutputDeviceDither (bool fOutputDeviceDither)
{
   fOutputDeviceDither_d = fOutputDeviceDither;
}

void DebugOutput::
setOutputDeviceInstance (bool fOutputDeviceInstance)
{
   fOutputDeviceInstance_d = fOutputDeviceInstance;
}

void DebugOutput::
setOutputDevicePrintMode (bool fOutputDevicePrintMode)
{
   fOutputDevicePrintMode_d = fOutputDevicePrintMode;
}

void DebugOutput::
setOutputDeviceTester (bool fOutputDeviceTester)
{
   fOutputDeviceTester_d = fOutputDeviceTester;
}

void DebugOutput::
setOutputDeviceTester2 (bool fOutputDeviceTester)
{
   fOutputDeviceTester2_d = fOutputDeviceTester;
}

void DebugOutput::
setOutputDeviceTester6 (bool fOutputDeviceTester6)
{
   fOutputDeviceTester6_d = fOutputDeviceTester6;
}

void DebugOutput::
setOutputGplCompression (bool fOutputGplCompression)
{
   fOutputGplCompression_d = fOutputGplCompression;
}

void DebugOutput::
setOutputGplDitherInstance (bool fOutputGplDitherInstance)
{
   fOutputGplDitherInstance_d = fOutputGplDitherInstance;
}

void DebugOutput::
setOutputOmni (bool fOutputOmni)
{
   fOutputOmni_d = fOutputOmni;
}

void DebugOutput::
setOutputOmniInterface (bool fOutputOmniInterface)
{
   fOutputOmniInterface_d = fOutputOmniInterface;
}

void DebugOutput::
setOutputOmniProxy (bool fOutputOmniProxy)
{
   fOutputOmniProxy_d = fOutputOmniProxy;
}

void DebugOutput::
setOutputPrintDevice (bool fOutputPrintDevice)
{
   fOutputPrintDevice_d = fOutputPrintDevice;
}

void DebugOutput::
setOutputBlitter (bool fOutputBlitter)
{
   fOutputBlitter_d = fOutputBlitter;
}

void DebugOutput::
setOutputInstance (bool fOutputInstance)
{
   fOutputInstance_d = fOutputInstance;
}

void DebugOutput::
setOutputOmniIJSProxy (bool fOutputOmniIJSProxy)
{
   fOutputOmniIJSProxy_d = fOutputOmniIJSProxy;
}

void DebugOutput::
setOutputOmniServer (bool fOutputOmniServer)
{
   fOutputOmniServer_d = fOutputOmniServer;
}

void DebugOutput::
setOutputPrinterCommand (bool fOutputPrinterCommand)
{
   fOutputPrinterCommand_d = fOutputPrinterCommand;
}
