#
# IBM Omni driver
# Copyright (c) International Business Machines Corp., 2000
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
# the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

DEVICETESTEREXE		= DeviceTester
DEVICETESTEREXEOBJ	= DeviceTester.o
DEVICETESTER2EXE	= DeviceTester2
DEVICETESTER2EXEOBJ	= DeviceTester2.o
DEVICETESTER3EXE	= DeviceTester3
DEVICETESTER3EXEOBJ	= DeviceTester3.o
DEVICETESTER4EXE	= DeviceTester4
DEVICETESTER4EXEOBJ	= DeviceTester4.o
DEVICETESTER5EXE	= DeviceTester5
DEVICETESTER5EXEOBJ	= DeviceTester5.o
DEVICETESTER6EXE	= DeviceTester6
DEVICETESTER6EXEOBJ	= DeviceTester6.o
DEVICETESTER7EXE	= DeviceTester7
DEVICETESTER7EXEOBJ	= DeviceTester7.o
DEVICETESTER8EXE	= DeviceTester8
DEVICETESTER8EXEOBJ	= DeviceTester8.o
DEVICETESTERS           = DeviceTester~ \
                          DeviceTester2~ \
                          DeviceTester3~ \
                          DeviceTester4~ \
                          DeviceTester5~ \
                          DeviceTester6~ \
                          DeviceTester7~ \
                          DeviceTester8~

OMNI_PATH               = .
OMNI_LIB_PATH           = .

all:		$(DEVICETESTERS:~=)

include common.mak

DEVICENAME		= Epson_Stylus_Color_860

clean:
	-@rm $(DEVICETESTEREXE)
	-@rm $(DEVICETESTEREXEOBJ)
	-@rm $(DEVICETESTER2EXE)
	-@rm $(DEVICETESTER2EXEOBJ)
	-@rm $(DEVICETESTER3EXE)
	-@rm $(DEVICETESTER3EXEOBJ)
	-@rm $(DEVICETESTER4EXE)
	-@rm $(DEVICETESTER4EXEOBJ)
	-@rm $(DEVICETESTER5EXE)
	-@rm $(DEVICETESTER5EXEOBJ)
	-@rm $(DEVICETESTER6EXE)
	-@rm $(DEVICETESTER6EXEOBJ)
	-@rm $(DEVICETESTER7EXE)
	-@rm $(DEVICETESTER7EXEOBJ)
	-@rm $(DEVICETESTER8EXE)
	-@rm $(DEVICETESTER8EXEOBJ)
	-@rm depend2.mak

$(DEVICETESTEREXE):		$(DEVICETESTEREXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER2EXE):		$(DEVICETESTER2EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER3EXE):		$(DEVICETESTER3EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER4EXE):		$(DEVICETESTER4EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER5EXE):		$(DEVICETESTER5EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER6EXE):		$(DEVICETESTER6EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER7EXE):		$(DEVICETESTER7EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

$(DEVICETESTER8EXE):		$(DEVICETESTER8EXEOBJ)
	$(CC) -o $@ $^ $(LFLAGS)

output1$(DEVICENAME).prn:	lib$(DEVICENAME).so $(DEVICETESTEREXE)
ifeq ($(DEBUG),1)
	-$(DEVICETESTEREXE) driver $(DEVICENAME) bmp ../beach1.bmp cout output1$(DEVICENAME).prn cerr output1$(DEVICENAME).err printmode PRINT_MODE_MONOCHROME
else
	-$(DEVICETESTEREXE) driver $(DEVICENAME) bmp ../beach1.bmp > output1$(DEVICENAME).prn 2> output1$(DEVICENAME).err
endif
#	cat output1.err

output24$(DEVICENAME).prn:	lib$(DEVICENAME).so $(DEVICETESTEREXE)
ifeq ($(DEBUG),1)
	-$(DEVICETESTEREXE) driver $(DEVICENAME) bmp ../beach24.bmp cout output24$(DEVICENAME).prn cerr output24$(DEVICENAME).err printmode PRINT_MODE_24_BLACK_COLOR
else
	-$(DEVICETESTEREXE) driver $(DEVICENAME) bmp ../beach24.bmp > output24$(DEVICENAME).prn 2> output24$(DEVICENAME).err
endif
#	cat output24.err

# dependancies follow
#
# @TBD generate a reverse set of dependancies.  That is, depend.mak depends
#      on the source files and if those files change, then new dependancies
#      need to be made and reloaded
ifeq "$(shell test ! -f depend2.mak && echo yes)" "yes"
ifeq  "$(shell $(CC) $(CFLAGS) -M $(DEVICETESTERS:~=.cpp) > depend2.mak)" ""
endif
endif
include depend2.mak
