/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _OkiPage_6e_6ex
#define _OkiPage_6e_6ex

#include <Okidata_OL810ex_Forms.hpp>
#include <Okidata_OL400ex_Trays.hpp>
#include <Okidata_OL400ex_Medias.hpp>
#include <Okidata_OL810ex_Resolutions.hpp>
#include <Okidata_Orientations.hpp>
#include <Okidata_PCL_Commands.hpp>
#include <Okidata_PCL_PrintModes.hpp>
#include <Okidata_PCL_Instance.hpp>
#include <Okidata_PCL_Blitter.hpp>
#include <DeviceInstance.hpp>
#include <PrintDevice.hpp>
#include <JobProperties.hpp>
#include <OmniProxy.hpp>

class OkiPage_6e_6ex : public PrintDevice
{
public:
   enum {
      TOP_TO_BOTTOM = 1
   };

   OkiPage_6e_6ex ();

   OkiPage_6e_6ex (char *pszJobProperties);

   virtual DeviceGamma       *getCurrentGamma          ();

   virtual DeviceOrientation *getDefaultOrientation    ();
   virtual char              *getDefaultDitherID       ();
   virtual DeviceForm        *getDefaultForm           ();
   virtual DeviceTray        *getDefaultTray           ();
   virtual DeviceMedia       *getDefaultMedia          ();
   virtual DeviceResolution  *getDefaultResolution     ();
   virtual DeviceCommand     *getDefaultCommands       ();
   virtual DeviceData        *getDefaultData           ();
   virtual DevicePrintMode   *getDefaultPrintMode      ();

private:
   void commonInit ();
};

#endif
