/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _Omni
#define _Omni

#include "Device.hpp"

#include <glib.h>
#include <gmodule.h>

class Omni
{
public:
   static Device      *createDevice    (char             *pszDriver,
                                        char             *pszDevice,
                                        char             *pszJobProperties,
                                        bool              fAdvanced,
                                        GModule         **phDevice);

   static Device      *createDevice    (PDL              *pPDL,
                                        char             *pszJobProperties,
                                        bool              fAdvanced,
                                        GModule         **phDevice);

   static Enumeration *listDevices     ();
};

#endif
