/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Idea borrowed from http://hpinkjet.sourceforge.net
 */
#ifndef _OmniServer
#define _OmniServer

#include <sys/types.h>

typedef enum _CommandType {
   COMMAND_TYPE_ACK = 1,
   COMMAND_TYPE_NACK,
   COMMAND_TYPE_UNSUPPORTED,
   COMMAND_TYPE_TERMINATE,
   COMMAND_TYPE_SET_DEVICE_NAME,
   COMMAND_TYPE_OMNI_SET_ADVANCED,
   COMMAND_TYPE_SET_JOB_PROPERTIES,
   COMMAND_TYPE_NEW_DEVICE,
   COMMAND_TYPE_GET_VERSION,
   COMMAND_TYPE_GET_DRIVER_NAME,
   COMMAND_TYPE_GET_DEVICE_NAME,
   COMMAND_TYPE_GET_SHORT_NAME,
   COMMAND_TYPE_QUERY_ORIENTATION,
   COMMAND_TYPE_QUERY_DITHER_ID,
   COMMAND_TYPE_QUERY_FORM,
   COMMAND_TYPE_QUERY_TRAY,
   COMMAND_TYPE_QUERY_MEDIA,
   COMMAND_TYPE_QUERY_RESOLUTION,
   COMMAND_TYPE_QUERY_PRINT_MODE,
   COMMAND_TYPE_GET_PDL_LEVEL,
   COMMAND_TYPE_GET_PDL_SUBLEVEL,
   COMMAND_TYPE_GET_PDL_MAJOR_REVISION_LEVEL,
   COMMAND_TYPE_GET_PDL_MINOR_REVISION_LEVEL,
   COMMAND_TYPE_HAS_CAPABILITY,
   COMMAND_TYPE_HAS_RASTER_CAPABILITY,
   COMMAND_TYPE_HAS_DEVICE_OPTION,
   COMMAND_TYPE_ENUM_ORIENTATIONS,
   COMMAND_TYPE_ENUM_DITHER_IDS,
   COMMAND_TYPE_ENUM_FORMS,
   COMMAND_TYPE_ENUM_TRAYS,
   COMMAND_TYPE_ENUM_MEDIAS,
   COMMAND_TYPE_ENUM_RESOLUTIONS,
   COMMAND_TYPE_ENUM_PRINT_MODES,
   COMMAND_TYPE_IS_ORIENTATION_SUPPORTED,
   COMMAND_TYPE_IS_FORM_SUPPORTED,
   COMMAND_TYPE_IS_TRAY_SUPPORTED,
   COMMAND_TYPE_IS_MEDIA_SUPPORTED,
   COMMAND_TYPE_IS_RESOLUTION_SUPPORTED,
   COMMAND_TYPE_IS_PRINT_MODE_SUPPORTED,
   COMMAND_TYPE_BEGIN_JOB,
   COMMAND_TYPE_NEW_FRAME,
   COMMAND_TYPE_END_JOB,
   COMMAND_TYPE_ABORT_JOB,
   COMMAND_TYPE_ATTACH_BUFFER1,
   COMMAND_TYPE_ATTACH_BUFFER2,
   COMMAND_TYPE_DETACH_BUFFER1,
   COMMAND_TYPE_DETACH_BUFFER2,
   COMMAND_TYPE_RASTERIZE,
   COMMAND_TYPE_QUERY_CURRENT_JOB_PROPERTIES,
   COMMAND_TYPE_LIST_JOB_PROPERTY_KEYS,
   COMMAND_TYPE_LIST_DEVICE_JOB_PROPERTY_KEYS,
   COMMAND_TYPE_GET_JOB_PROPERTY_TYPE,
   COMMAND_TYPE_GET_JOB_PROPERTY
} COMMAND_TYPE, *PCOMMAND_TYPE;

typedef enum _CommandLineFormat {
   COMMAND_FORMAT_STRING = 1,
   COMMAND_FORMAT_BINARY,
   COMMAND_FORMAT_INTEGER,
   COMMAND_FORMAT_LONG
} COMMAND_FORMAT, *PCOMMAND_FORMAT;

typedef struct _CommandPacket {
   COMMAND_TYPE   eCommand;
   size_t         cbLength;
   COMMAND_FORMAT eFormat;
   char           achCommandLine[1];
} __attribute__ ((aligned (1))) __attribute__ ((packed))
  COMMAND_PACKET, *PCOMMAND_PACKET;

#endif
