/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _PrinterCommand
#define _PrinterCommand

#include "OmniServer.hpp"

class PrinterCommand
{
public:
                    PrinterCommand   (char *pszProgram);
                   ~PrinterCommand   ();

   bool             setCommand       (COMMAND_TYPE eCommand, char *pszLine);
   bool             setCommand       (COMMAND_TYPE eCommand, int iValue);
   bool             setCommand       (COMMAND_TYPE eCommand, long int lValue);

   PCOMMAND_PACKET  getCommand       ();
   char            *getCommandString ();
   int              getCommandInt    ();
   long int         getCommandLong   ();
   COMMAND_TYPE     getCommandType   ();
   size_t           getCommandLength ();

   bool             readCommand      (int fd);
   bool             sendCommand      (int fd);

   static char     *commandToString  (COMMAND_TYPE eCommand);

private:
   void             printCommand     (char *pszHeader);

   PCOMMAND_PACKET  pCmd_d;
   size_t           iCmdLength_d;
   char            *pszProgram_d;
};

#endif
