/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _StringResource_hpp
#define _StringResource_hpp

class StringResource
{
public:
   enum {
      STRINGGROUP_ORIENTATIONS,
      STRINGGROUP_FORMS,
      STRINGGROUP_TRAYS,
      STRINGGROUP_MEDIAS,
      STRINGGROUP_PRINTMODES,
      STRINGGROUP_RESOLUTIONS,
      STRINGGROUP_DITHERS
   };

   /* @TBD since you can't have static virual functions, what is the right way
   **      to get around it?
   */
   static  char *getString  (int iGroup, int   iID);
   static  char *getString  (int iGroup, char *pszID);

   virtual char *getStringV (int iGroup, int   iID) = 0;
   virtual char *getStringV (int iGroup, char *pszID) = 0;

   static StringResource *pLanguage_d;

private:
};

#endif
